\mainpage Roboid Control for C#

Roboid Control support for C# applications.
Includes support for the Unity game engine.

# Documentation

The documentation for Roboid Control for C# is found at https://docs.roboidcontrol.com/Csharp/

# Basic components

- RoboidControl::Thing
- RoboidControl::Participant

# Get Started

## Unity

The Unity environment can use the same RoboidControl code as every other C# code, but needs a *starter* wrapper around it to make the things visibile. For example, to start the BB2B example in Unity one needs to write a BB2B_Starter.cs component as follows:
```
using RoboidControl.Unity;

public class BB2B_Starter : SiteServer {
    void Start() {
        new RoboidControl.BB2B();    
    }
}
```
This component then should be attached to a GameObject in the scene.

It is possible to create a Site Server in Unity by just adding the `SiteServer` Component to a GameObject in the scene. When this is run, other roboids will be able to connect to this site then.